From: "Justin Lecher" <jlec@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/pytables/
Date: Fri, 4 Sep 2015 07:57:08 +0000 (UTC) [thread overview]
Message-ID: <1441353427.0eff8b89b0df1f7324152f7632667f01088c2b39.jlec@gentoo> (raw)
commit: 0eff8b89b0df1f7324152f7632667f01088c2b39
Author: Justin Lecher <jlec <AT> gentoo <DOT> org>
AuthorDate: Fri Sep 4 07:57:02 2015 +0000
Commit: Justin Lecher <jlec <AT> gentoo <DOT> org>
CommitDate: Fri Sep 4 07:57:07 2015 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0eff8b89
dev-python/pytables: Version Bump
force cython run
Package-Manager: portage-2.2.20.1
Signed-off-by: Justin Lecher <jlec <AT> gentoo.org>
dev-python/pytables/Manifest | 1 +
dev-python/pytables/pytables-3.2.1.1.ebuild | 74 +++++++++++++++++++++++++++++
2 files changed, 75 insertions(+)
diff --git a/dev-python/pytables/Manifest b/dev-python/pytables/Manifest
index cc4145f..5490551 100644
--- a/dev-python/pytables/Manifest
+++ b/dev-python/pytables/Manifest
@@ -1,3 +1,4 @@
DIST tables-3.1.1.tar.gz 6715786 SHA256 39b9036376f1185599771c19276f13b5b9119d98f9108f58595745ded3fe2da3 SHA512 b5b2052dd81c4748c5e26c1f61f9f92891f48335b0a553f7602ab11c9029dd673d27b91e24cac0da21a81df0c26dbcd9a438214fa58af1ae831c5f04dfa212a6 WHIRLPOOL 86fd6dc9e12503fdbd23013b75f33a41eadbbac0e6dd5ac9a91476d073195077fc6b3d5ad24b1dd4b4c18ae7ed8abc8ea1708262e52240f4c2c3b1153f8c9e91
DIST tables-3.2.0.tar.gz 7039718 SHA256 60980e44676bfe463cdd2582ecdacc0b0763b259477015e866f8af72b4cdba44 SHA512 6ef7925bafbec04a3f581d13e9cc266b9b68b11dce27cf28c501dbbc538d74ddcfa15cbe97fa69fb793911cc6dbf3112f503b29c6e4e3e7631a6761cc1303253 WHIRLPOOL 412ada055b81fd7409b67288bc2bcf9ed527c9c42dbdd75c52ce7287f53ed12322b8b4423c9fab0aba98e0f12a8764a45316104567c193b469a84fdda3cbfc30
+DIST tables-3.2.1.1.tar.gz 7006881 SHA256 21e9749a60c6acc8a9755a52d95b414bc4f4b2c72a9175af360225883a775358 SHA512 ca70645c9885ae54a74c162ce37ee0a7e605f60757743f9015f184aaae71c8da95c5b443793aee2667ced208be02608ee2ab898403d19a3ec367bb85f3afdbbb WHIRLPOOL 284c847944f46f20efa0b9bc1f69839257528ab8c281456abb864ba475fc24f33ae2be608c50313010ea68f8d037c14c3c27db9aa45ede84fbaa827c27560284
DIST tables-3.2.1.tar.gz 6988695 SHA256 212d4f32899a9a0a6b3f865262c20c6ff864fb60e1b8be70f0bbc80137456e31 SHA512 5c6ad8a2e07c45a0aa53d98e81192b2cc2f2e0a91b5956ddb84f98523bb7849f5ea0a5cd21047a970d41ecd9a2a2b942e491738c1381ac754ed549eef62170dd WHIRLPOOL 219fec1367e7ddf7ecb1b1080c70576f7be9aaa059fd32d6744f9a661c210b26fc6d72604dad33ed97bc9fbe8febf130b0367fb00099709a0fbbd23b524c3f9e
diff --git a/dev-python/pytables/pytables-3.2.1.1.ebuild b/dev-python/pytables/pytables-3.2.1.1.ebuild
new file mode 100644
index 0000000..8b1eaa9
--- /dev/null
+++ b/dev-python/pytables/pytables-3.2.1.1.ebuild
@@ -0,0 +1,74 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+PYTHON_COMPAT=( python2_7 python3_{3,4} )
+
+MY_PN=tables
+MY_P=${MY_PN}-${PV}
+
+inherit distutils-r1
+
+DESCRIPTION="Hierarchical datasets for Python"
+HOMEPAGE="http://www.pytables.org/"
+SRC_URI="mirror://pypi/${MY_PN:0:1}/${MY_PN}/${MY_P}.tar.gz"
+
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+LICENSE="BSD"
+IUSE="doc examples"
+
+RDEPEND="
+ app-arch/bzip2:0=
+ dev-libs/c-blosc:0=[hdf5]
+ dev-libs/lzo:2=
+ >=dev-python/numpy-1.7.1[${PYTHON_USEDEP}]
+ >=dev-python/numexpr-2.4[${PYTHON_USEDEP}]
+ >=sci-libs/hdf5-1.8.4:0="
+DEPEND="${RDEPEND}
+ >=dev-python/cython-0.14[${PYTHON_USEDEP}]"
+
+S="${WORKDIR}/${MY_P}"
+
+DOCS=( ANNOUNCE.txt RELEASE_NOTES.txt THANKS )
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-3.2.0-blosc.patch
+ )
+
+python_prepare_all() {
+ export HDF5_DIR="${EPREFIX}"/usr
+ rm tables/*.c || die
+ sed \
+ -e "s:/usr:${EPREFIX}/usr:g" \
+ -e 's:"c-blosc/hdf5/blosc_filter.c"::g' \
+ -i setup.py || die
+ rm -r c-blosc/{blosc,hdf5,internal-complibs} || die
+ distutils-r1_python_prepare_all
+}
+
+python_compile() {
+ python_is_python3 || local -x CFLAGS="${CFLAGS} -fno-strict-aliasing"
+ distutils-r1_python_compile
+}
+
+python_test() {
+ cd "${BUILD_DIR}"/lib* || die
+ ${EPYTHON} tables/tests/test_all.py || die
+}
+
+python_install_all() {
+ if use doc; then
+ HTML_DOCS=( doc/html/. )
+ DOCS+=( doc/scripts )
+ fi
+ distutils-r1_python_install_all
+
+ if use examples; then
+ insinto /usr/share/doc/${PF}
+ doins -r examples
+ doins -r contrib
+ fi
+}
next reply other threads:[~2015-09-04 7:57 UTC|newest]
Thread overview: 67+ messages / expand[flat|nested] mbox.gz Atom feed top
2015-09-04 7:57 Justin Lecher [this message]
-- strict thread matches above, loose matches on Subject: below --
2023-08-20 17:51 [gentoo-commits] repo/gentoo:master commit in: dev-python/pytables/ Michał Górny
2023-08-20 17:11 Arthur Zamarin
2023-08-20 17:11 Arthur Zamarin
2023-08-20 17:11 Arthur Zamarin
2023-05-20 7:25 Michał Górny
2023-05-04 16:30 Michał Górny
2023-04-29 15:47 Arthur Zamarin
2023-04-29 15:31 Arthur Zamarin
2023-04-29 15:25 Arthur Zamarin
2023-03-25 17:19 Michał Górny
2023-02-20 21:58 Arthur Zamarin
2023-02-20 21:29 Arthur Zamarin
2023-02-13 11:31 Yixun Lan
2023-02-12 20:24 Jakov Smolić
2023-01-06 2:10 Sam James
2022-12-30 17:23 Michał Górny
2022-12-30 17:23 Michał Górny
2022-10-14 13:31 Andrew Ammerlaan
2022-02-02 20:53 Arthur Zamarin
2022-02-02 0:08 Sam James
2022-01-29 10:04 Jakov Smolić
2022-01-29 10:04 Jakov Smolić
2022-01-29 7:22 Arthur Zamarin
2022-01-29 7:01 Arthur Zamarin
2021-12-29 8:30 Michał Górny
2021-12-29 8:30 Michał Górny
2021-12-29 7:58 Sam James
2021-12-29 6:25 Arthur Zamarin
2021-11-20 7:44 Sam James
2021-11-20 6:53 Sam James
2021-11-20 6:35 Sam James
2021-11-19 13:32 Sam James
2021-11-19 13:16 Sam James
2021-11-14 23:51 Sam James
2021-10-24 21:14 Sam James
2021-09-06 23:42 Sam James
2021-09-06 23:37 Sam James
2021-09-06 0:13 Sam James
2021-08-15 22:03 Marek Szuba
2020-10-16 18:22 Michał Górny
2020-08-18 5:52 Sam James
2020-08-18 5:28 Sam James
2020-08-14 23:22 Andreas Sturmlechner
2020-08-07 19:19 Sam James
2020-07-06 14:13 Michał Górny
2020-07-06 11:57 Michał Górny
2020-06-06 22:22 Pacho Ramos
2020-01-30 17:31 Michał Górny
2019-06-15 20:56 Andreas Sturmlechner
2019-01-18 22:20 Craig Andrews
2019-01-17 21:25 Mikle Kolyada
2019-01-02 19:01 Thomas Deutschmann
2019-01-01 21:09 Craig Andrews
2018-12-07 0:00 Craig Andrews
2018-12-06 20:47 Craig Andrews
2018-12-06 20:47 Craig Andrews
2017-06-28 4:02 Sebastien Fabbro
2017-06-21 12:11 Agostino Sarubbo
2017-06-19 17:03 Agostino Sarubbo
2017-03-11 0:50 Zac Medico
2016-11-13 18:15 Justin Lecher
2016-11-05 12:34 Justin Lecher
2016-11-05 12:17 Justin Lecher
2015-11-11 17:27 Justin Lecher
2015-09-22 8:10 Justin Lecher
2015-08-21 9:35 Justin Lecher
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1441353427.0eff8b89b0df1f7324152f7632667f01088c2b39.jlec@gentoo \
--to=jlec@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox